import javax.microedition.lcdui.Graphics;
import java.util.Vector;
import javax.microedition.lcdui.Image;


public class downTheme{
Vector w = new Vector();

public downTheme(){
}

public void paint(Graphics g,int wid,int hei){
}

public void add(int id,Image i){
DownBarItem dbi = new DownBarItem(id,i);
w.addElement(dbi);
}

public void remove(int id){
w.removeElementAt(id);
for(int i=id;i<w.size();i++){
	DownBarItem temp = (DownBarItem) w.elementAt(i);
	temp.id--;
}
}

public int checkClick(int x,int y){
return 0;
}

}